# This configuration file indicates profiles , profiles groups and users automatically create when a new customer or customer tenant is created.
# Put as many as you want following the template given
customer-init:
  # Default profiles for each customer created
  profiles:
    - name: Profil pour la gestion des profiles de sécurité
      description: Gestion des profiles de sécurité dans Vitam
      app-name: SECURITY_PROFILES_APP
      level:
      roles:
        - ROLE_GET_SECURITY_PROFILES
        - ROLE_CREATE_SECURITY_PROFILES
        - ROLE_UPDATE_SECURITY_PROFILES
        - ROLE_DELETE_SECURITY_PROFILES

    - name: Profil pour la gestion des formats de fichiers
      description: Gestion des formats de fichiers dans Vitam
      app-name: FILE_FORMATS_APP
      level:
      roles:
        - ROLE_GET_FILE_FORMATS
        - ROLE_CREATE_FILE_FORMATS
        - ROLE_UPDATE_FILE_FORMATS
        - ROLE_DELETE_FILE_FORMATS

    - name: Profil pour la gestion des ontologies
      description: Gestion des ontologies dans Vitam
      app-name: ONTOLOGY_APP
      level:
      roles:
        - ROLE_GET_ONTOLOGIES
        - ROLE_CREATE_ONTOLOGIES
        - ROLE_DELETE_ONTOLOGIES

    - name: Profil pour la gestion des contrats des contextes
      description: Gestion des contrats des contextes dans Vitam
      app-name: CONTEXTS_APP
      level:
      roles:
        - ROLE_GET_CONTEXTS
        - ROLE_CREATE_CONTEXTS
        - ROLE_UPDATE_CONTEXTS
  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #    - role_1
  #    - role_2
  #    - role_3
  #  ...
  # Default profiles groups for each customer created
  profiles-groups:
  #- name: group1
  #   description: desc
  #   level: 2
  #   profiles:
  #     - profileName
  #  ...
  # Default users for each customer created
  users:
  #- last-name: lastName
  #   first-name: firstName
  #   profiles-group-name: group1
  #   level: 1
  #   email-prefix: a@mail.com
  # Default profiles for each tenant created
  tenant-profiles:
    - name: Profil pour la gestion des contrats d'accès
      description: Gestion des contrats d'accès dans Vitam
      app-name: ACCESS_APP
      level:
      roles:
        - ROLE_GET_ACCESS_CONTRACTS
        - ROLE_CREATE_ACCESS_CONTRACTS
        - ROLE_UPDATE_ACCESS_CONTRACTS
        - ROLE_GET_FILLING_PLAN_ACCESS

    - name: Profil pour la gestion des contrats d'entrée
      description: Gestion des contrats d'entrée dans Vitam
      app-name: INGEST_APP
      level:
      roles:
        - ROLE_GET_INGEST_CONTRACTS
        - ROLE_CREATE_INGEST_CONTRACTS
        - ROLE_UPDATE_INGEST_CONTRACTS
        - ROLE_GET_FILLING_PLAN_ACCESS
        - ROLE_GET_MANAGEMENT_CONTRACTS
        - ROLE_GET_ARCHIVE_PROFILES

    - name: Profil pour les services agents
      description: Gestion des services agents dans Vitam
      app-name: AGENCIES_APP
      level:
      roles:
        - ROLE_GET_AGENCIES
        - ROLE_CREATE_AGENCIES
        - ROLE_UPDATE_AGENCIES
        - ROLE_DELETE_AGENCIES
        - ROLE_EXPORT_AGENCIES

    - name: Profil pour la gestion des Audits
      description: Gestion des audits dans Vitam
      app-name: AUDIT_APP
      level:
      roles:
        - ROLE_GET_AUDITS
        - ROLE_RUN_AUDITS

    - name: Profil Journal des Opérations
      description: Gestion des applications des Journaux des Opérations
      app-name: LOGBOOK_OPERATION_APP
      level:
      roles:
        - ROLE_LOGBOOKS

    - name: Profil pour le dépôt et suivi des versements
      description: Gestion des applications de dépôt et suivi des versements
      app-name: INGEST_MANAGEMENT_APP
      level:
      roles:
        - ROLE_GET_INGEST
        - ROLE_CREATE_INGEST
        - ROLE_GET_ALL_INGEST
        - ROLE_LOGBOOKS

    - name: Profil Arbres et Plans
      description: Gestion des application d'import d'arbres de positionnement et plans de classement
      app-name: HOLDING_FILLING_SCHEME_APP
      level:
      roles:
        - ROLE_CREATE_HOLDING_FILLING_SCHEME
        - ROLE_GET_HOLDING_FILLING_SCHEME
        - ROLE_GET_ALL_HOLDING_FILLING_SCHEME

    - name: Profil pour la gestion des opérations
      description: Gérer et consulter l'ensemble des opérations d'entrées qui sont en cours
      app-name: LOGBOOK_MANAGEMENT_OPERATION_APP
      level:
      roles:
        - ROLE_GET_LOGBOOK_OPERATION
        - ROLE_GET_ALL_LOGBOOK_OPERATION
        - ROLE_UPDATE_LOGBOOK_OPERATION

    - name: Profil pour la création des profils paramétrage externe
      description: Gérer et consulter l'ensemble des profils paramétrage externe
      app-name: EXTERNAL_PARAM_PROFILE_APP
      level:
      roles:
        - ROLE_CREATE_EXTERNAL_PARAM_PROFILE
        - ROLE_EDIT_EXTERNAL_PARAM_PROFILE
        - ROLE_SEARCH_EXTERNAL_PARAM_PROFILE

    - name: Profil pour l'accès et la recherche d'archives avec mises à jour des règles et avec export DIP
      description: Gestion d'accès et de recherche des archives dans Vitam avec mises à jour des règles et avec export DIP
      app-name: ARCHIVE_SEARCH_MANAGEMENT_APP
      level:
      roles:
        - ROLE_CREATE_ARCHIVE_SEARCH
        - ROLE_GET_ARCHIVE_SEARCH
        - ROLE_GET_ALL_ARCHIVE_SEARCH
        - ROLE_SEARCH_WITH_RULES
        - ROLE_EXPORT_DIP

    - name: Profil pour l'accès et la recherche d'archives sans mises à jour des règles et sans export DIP
      description: Gestion d'accès et de recherche des archives dans Vitam sans mises à jour des règles et sans export DIP
      app-name: ARCHIVE_SEARCH_MANAGEMENT_APP
      level:
      roles:
        - ROLE_CREATE_ARCHIVE_SEARCH
        - ROLE_GET_ARCHIVE_SEARCH
        - ROLE_GET_ALL_ARCHIVE_SEARCH

    - name: Profil pour la recherche et consultation des archives avec export DIP et sans mises à jour des règles
      description: Gestion d'accès et de recherche des archives dans Vitam avec export DIP et sans mises à jour des règles
      app-name: ARCHIVE_SEARCH_MANAGEMENT_APP
      level:
      roles:
        - ROLE_CREATE_ARCHIVE_SEARCH
        - ROLE_GET_ARCHIVE_SEARCH
        - ROLE_GET_ALL_ARCHIVE_SEARCH
        - ROLE_EXPORT_DIP

    - name: Profil pour la recherche et consultation des archives avec mises à jour des règles et sans export DIP
      description: Gestion d'accès et de recherche des archives dans Vitam avec mises à jour des règles et sans export DIP
      app-name: ARCHIVE_SEARCH_MANAGEMENT_APP
      level:
      roles:
        - ROLE_CREATE_ARCHIVE_SEARCH
        - ROLE_GET_ARCHIVE_SEARCH
        - ROLE_GET_ALL_ARCHIVE_SEARCH
        - ROLE_SEARCH_WITH_RULES

  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #   - role_1
  #   - role_2
  #   - role_3
  #  ...

  # Other Default profiles for admin group
  admin-profiles:
  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #   - role_1
  #   - role_2
  #   - role_3
  #  ...
